Bug 1916711 - Update Kube dependencies in MCO to 1.20.0
Summary: Update Kube dependencies in MCO to 1.20.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Sinny Kumari
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-15 14:03 UTC by Sinny Kumari
Modified: 2021-02-24 15:54 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:53:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2344 0 None closed Bug 1916711: vendor: update kubernetes and dependencies to 1.20.0 2021-01-26 18:30:59 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:54:00 UTC

Description Sinny Kumari 2021-01-15 14:03:36 UTC
Description of problem:

In 4.7, openshift/api and other core components have moved to kube 1.20.0 .
It will be nice that MCO is also using latest kube dependencies.

Comment 2 Michael Nguyen 2021-01-19 16:48:33 UTC
Verified change in kubelet.conf and machine config operator commit contains kube bump.

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-01-19-095812   True        False         18m     Cluster version is 4.7.0-0.nightly-2021-01-19-095812
$ oc get nodes
NAME                                       STATUS   ROLES    AGE   VERSION
ci-ln-xdg98vt-f76d1-7d27z-master-0         Ready    master   39m   v1.20.0+d9c52cc
ci-ln-xdg98vt-f76d1-7d27z-master-1         Ready    master   39m   v1.20.0+d9c52cc
ci-ln-xdg98vt-f76d1-7d27z-master-2         Ready    master   39m   v1.20.0+d9c52cc
ci-ln-xdg98vt-f76d1-7d27z-worker-b-b44vc   Ready    worker   30m   v1.20.0+d9c52cc
ci-ln-xdg98vt-f76d1-7d27z-worker-c-x6s7f   Ready    worker   30m   v1.20.0+d9c52cc
ci-ln-xdg98vt-f76d1-7d27z-worker-d-rsfj2   Ready    worker   30m   v1.20.0+d9c52cc
$ oc debug node/ci-ln-xdg98vt-f76d1-7d27z-master-0 -- chroot /host cat /etc/kubernetes/kubelet.conf
Starting pod/ci-ln-xdg98vt-f76d1-7d27z-master-0-debug ...
To use host binaries, run `chroot /host`
kind: KubeletConfiguration
apiVersion: kubelet.config.k8s.io/v1beta1
authentication:
  x509:
    clientCAFile: /etc/kubernetes/kubelet-ca.crt
  anonymous:
    enabled: false
cgroupDriver: systemd
cgroupRoot: /
clusterDNS:
  - 172.30.0.10
clusterDomain: cluster.local
containerLogMaxSize: 50Mi
maxPods: 250
kubeAPIQPS: 50
kubeAPIBurst: 100
rotateCertificates: true
serializeImagePulls: false
staticPodPath: /etc/kubernetes/manifests
systemCgroups: /system.slice
systemReserved:
  cpu: 500m
  memory: 1Gi
  ephemeral-storage: 1Gi
featureGates:
  APIPriorityAndFairness: true
  LegacyNodeRoleBehavior: false
  # Will be removed in future openshift/api update https://github.com/openshift/api/commit/c8c8f6d0f4a8ac4ff4ad7d1a84b27e1aa7ebf9b4
  RemoveSelfLink: false
  NodeDisruptionExclusion: true
  RotateKubeletServerCertificate: true
  SCTPSupport: true
  ServiceNodeExclusion: true
  SupportPodPidsLimit: true
serverTLSBootstrap: true

Removing debug pod ...
$ oc debug node/ci-ln-xdg98vt-f76d1-7d27z-worker-b-b44vc -- chroot /host cat /etc/kubernetes/kubelet.conf
Starting pod/ci-ln-xdg98vt-f76d1-7d27z-worker-b-b44vc-debug ...
To use host binaries, run `chroot /host`
kind: KubeletConfiguration
apiVersion: kubelet.config.k8s.io/v1beta1
authentication:
  x509:
    clientCAFile: /etc/kubernetes/kubelet-ca.crt
  anonymous:
    enabled: false
cgroupDriver: systemd
cgroupRoot: /
clusterDNS:
  - 172.30.0.10
clusterDomain: cluster.local
containerLogMaxSize: 50Mi
maxPods: 250
kubeAPIQPS: 50
kubeAPIBurst: 100
rotateCertificates: true
serializeImagePulls: false
staticPodPath: /etc/kubernetes/manifests
systemCgroups: /system.slice
systemReserved:
  cpu: 500m
  memory: 1Gi
  ephemeral-storage: 1Gi
featureGates:
  APIPriorityAndFairness: true
  LegacyNodeRoleBehavior: false
  # Will be removed in future openshift/api update https://github.com/openshift/api/commit/c8c8f6d0f4a8ac4ff4ad7d1a84b27e1aa7ebf9b4
  RemoveSelfLink: false
  NodeDisruptionExclusion: true
  RotateKubeletServerCertificate: true
  SCTPSupport: true
  ServiceNodeExclusion: true
  SupportPodPidsLimit: true
serverTLSBootstrap: true

Removing debug pod ...
$ 
$ mco-commit registry.ci.openshift.org/ocp/release:4.7.0-0.nightly-2021-01-19-095812
Name:        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ab82a79c7b3398d30b237515c24305f9e9209d76b7605db9b3ce39a88bedb1b5
Media Type:  application/vnd.docker.distribution.manifest.v2+json
Created:     7h ago
Image Size:  136.1MB in 5 layers
Layers:      74.44MB sha256:d9e72d058dc507f406dc9377495e3d29ce17596f885c09d0aba6b21e10e27ce6
             1.792kB sha256:cca21acb641a96561e0cf9a0c1c7b7ffbaaefc92185bd8a9440f6049c838e33b
             4.768MB sha256:b30858549dbb57b1875d96dbda7eb61306b43aee4e81d17cfcad39a4f85841fe
             10.93MB sha256:e9f724faf3c825c39fa73adf0f449ef559e31c6da29fab7be458d4a02fb0a1d6
             45.93MB sha256:e6fca40c2a3b15407a4f77f84758875b1b6d474c374e37e4ad90d7922886189d
OS:          linux
Arch:        amd64
Entrypoint:  /usr/bin/machine-config-operator
User:        0
Environment: __doozer=merge
             BUILD_RELEASE=202101190826.p0
             BUILD_VERSION=v4.7.0
             OS_GIT_MAJOR=4
             OS_GIT_MINOR=7
             OS_GIT_PATCH=0
             OS_GIT_TREE_STATE=clean
             OS_GIT_VERSION=4.7.0-202101190826.p0-82929b7
             SOURCE_GIT_TREE_STATE=clean
             OS_GIT_COMMIT=82929b7
             SOURCE_DATE_EPOCH=1611040052
             SOURCE_GIT_COMMIT=82929b72f6901650c5849ba4afe7ccdbed48b17c
             SOURCE_GIT_TAG=machine-config-daemon-4.6.0-202006240615.p0-576-g82929b72
             SOURCE_GIT_URL=https://github.com/openshift/machine-config-operator
             GODEBUG=x509ignoreCN=0,madvdontneed=1
             PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
             container=oci
Labels:      License=GPLv2+
             architecture=x86_64
             build-date=2021-01-19T09:15:30.035876
             com.redhat.build-host=cpt-1006.osbs.prod.upshift.rdu2.redhat.com
             com.redhat.component=ose-machine-config-operator-container
             com.redhat.license_terms=https://www.redhat.com/agreements
             description=This is the base image from which all OpenShift Container Platform images inherit.
             distribution-scope=public
             io.k8s.description=This is the base image from which all OpenShift Container Platform images inherit.
             io.k8s.display-name=OpenShift Container Platform RHEL 7 Base
             io.openshift.build.commit.id=82929b72f6901650c5849ba4afe7ccdbed48b17c
             io.openshift.build.commit.url=https://github.com/openshift/machine-config-operator/commit/82929b72f6901650c5849ba4afe7ccdbed48b17c
             io.openshift.build.source-location=https://github.com/openshift/machine-config-operator
             io.openshift.expose-services=
             io.openshift.maintainer.component=Machine Config Operator
             io.openshift.maintainer.product=OpenShift Container Platform
             io.openshift.release.operator=true
             io.openshift.tags=openshift,base
             maintainer=Red Hat, Inc.
             name=openshift/ose-machine-config-operator
             release=202101190826.p0
             summary=Provides the latest release of Red Hat Universal Base Image 8.
             url=https://access.redhat.com/containers/#/registry.access.redhat.com/openshift/ose-machine-config-operator/images/v4.7.0-202101190826.p0
             vcs-ref=05c9715efb5049edb6f98f7b75d95e4b0e63cabd
             vcs-type=git
             vendor=Red Hat, Inc.
             version=v4.7.0

Comment 5 errata-xmlrpc 2021-02-24 15:53:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.